1.2

1.2

post /v1/transit-gateways/{transit_gateway_id}/routing-rules

Description

Create Transit Gateway Rule.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example : fe860e0af0c04dcd8182b84f907f31f4
stringNone
bodybody
required

TransitGatewayRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayRuleShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "description": "Routing Rule Description",
    "destination_cidr": "192.167.5.0/24",
    "destination_type": "VPC",
    "tgw_connection_vpc_id": "ffeced8e191c478eabd66b6e2cab8e34"
}

Example HTTP response

Response 202

{
    "transit_gateway_rule": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "description": "Routing Rule Description",
        "destination_cidr": "192.167.5.0/24",
        "destination_resource_id": "ceb44ea5ecb34a49b16495f9a63b0718",
        "destination_resource_name": "VpcName",
        "destination_type": "VPC",
        "id": "43772aff4539403d9ba74bf1fdaa00c8",
        "source_resource_id": "8582cc5d89994a42ad53282fd4a8d8be",
        "source_resource_name": "TgwName",
        "source_type": "TGW",
        "state": "ACTIVE",
        "tgw_connection_vpc_id": "ffeced8e191c478eabd66b6e2cab8e34",
        "tgw_connection_vpc_name": "ConnectedVpcName"
    }
}